<?php

namespace Teknisa\ACL\Services;

use Teknisa\Libs\Util\Environment;
use Doctrine\ORM\EntityManager;
use Teknisa\ACL\Util\Utilities;
use Teknisa\ACL\Util\InstanceProvider;


class AclParamgeral {

    /** @var Environment */
    protected $environment;

    public function __construct(Environment $environment) {
        $this->environment = $environment;
    }
    
    public function findAclParamgeral() {
       
       $organizationId = InstanceProvider::getEnvironment()->getOrganizationId();
       return InstanceProvider::getRepository()->getAclParamgeral()->findAclParamgeral($organizationId);
       
    } 
    
    public function saveAclParamgeral($idgeraoper) {
       
       $organizationId = InstanceProvider::getEnvironment()->getOrganizationId();
       InstanceProvider::getRepository()->getAclParamgeral()->saveAclParamgeral($idgeraoper, $organizationId);
       if($idgeraoper == 'S'){
           $newCode = InstanceProvider::getRepository()->getAclParamgeral()->GetHighiestCdoperador()['CDOPERADOR'];
           $createNewCode = InstanceProvider::getNewCode()->getCodeByTableName('OPERADOR'.$organizationId, $organizationId, 1, 10, true);
           if($newCode > $createNewCode){
              InstanceProvider::getRepository()->getAclParamgeral()->updateNewCodeValue($newCode, $organizationId); 
           }
           
       }
       return $this->findAclParamgeral();
       
    }  

    
}